local ADDON_NAME = ...

PlayerPowerBarAlt:SetSize(64, 64)
PlayerPowerBarAlt:SetMovable(true)
PlayerPowerBarAlt:SetUserPlaced(true)

local cvar, cvarLabel = "alternateResourceText", "ALTERNATE_RESOURCE_TEXT"

local overlay = CreateFrame("Frame", nil, PlayerPowerBarAlt)
overlay:SetAllPoints()

local texture = overlay:CreateTexture()
texture:SetAllPoints()
texture:SetTexture(1, 1, 1, 0.1)
texture:Hide()
overlay.texture = texture

overlay:EnableMouse(true)
overlay.isLocked = true
overlay:SetScript("OnMouseDown", function(self, button)
	if button == "LeftButton" and not self.isLocked then
		PlayerPowerBarAlt:StartMoving()
		self.isMoving = true
	end
end)
overlay:SetScript("OnMouseUp", function(self, button)
	if button == "RightButton" then
		self.isLocked = not self.isLocked
		if self.isLocked then
			self.texture:Hide()
		else
			self.texture:Show()
		end
	elseif self.isMoving then
		PlayerPowerBarAlt:StopMovingOrSizing()
		self.isMoving = nil
	elseif IsShiftKeyDown() then
		local state = not GetCVarBool(cvar) and 1
		SetCVar(cvar, state, cvarLabel)
	end
end)

--bubble bubble toil and trouble
overlay:SetScript("OnEnter", function(self) UnitPowerBarAlt_OnEnter(self:GetParent()) end)
overlay:SetScript("OnLeave", function(self) UnitPowerBarAlt_OnLeave(self:GetParent()) end)

--incase the frame is under the ui or offscreen
_G["SLASH_"..ADDON_NAME.."1"] = "/bpba"
_G.SlashCmdList[ADDON_NAME] = function(input)
	if input:trim() == "reset" then
		PlayerPowerBarAlt:ClearAllPoints()
		PlayerPowerBarAlt:SetPoint("CENTER")
		--PlayerPowerBarAlt:SetPoint("BOTTOM", 0, 195)
	end
end
